Loading...
Searching...
No Matches
Opm::ParallelPAvgCalculator< Scalar > Class Template Reference

Facility for deriving well-level pressure values from selected block-averaging procedures. More...

`#include <ParallelPAvgCalculator.hpp>`

Inheritance diagram for Opm::ParallelPAvgCalculator< Scalar >:

## Public Member Functions

| ParallelPAvgCalculator (const Parallel::Communication &comm, const GridDims &cellIndexMap, const WellConnections &connections)
| Constructor.

## Detailed Description

template<class Scalar>
class Opm::ParallelPAvgCalculator< Scalar >

Facility for deriving well-level pressure values from selected block-averaging procedures.

Applicable to stopped wells which don't have a flowing bottom-hole pressure. Mainly useful for reporting.

Parallel edition. Handles distributed wells.

## Constructor & Destructor Documentation

## ParallelPAvgCalculator()

template<class Scalar>

Opm::ParallelPAvgCalculator< Scalar >::ParallelPAvgCalculator | ( | const Parallel::Communication & | comm,
|  | const GridDims & | cellIndexMap,
|  | const WellConnections & | connections )

Constructor.

Parameters

  [in] | comm | MPI communication object. Typically ParallelWellInfo::communication() .
  [in] | cellIndexMap | Cell index triple map ((I,J,K) <-> global).
  [in] | connections | List of reservoir connections for single well.

The documentation for this class was generated from the following files:

- opm/simulators/wells/ParallelPAvgCalculator.hpp
- opm/simulators/wells/ParallelPAvgCalculator.cpp